import { onLoad } from "@dcloudio/uni-app";
import { nextTick, ref, type Ref } from "vue";

export function useLoadQuerys<T extends Record<string, any>>(
  defaults: T, 
  afterLoad?: (querys: T) => void
) {
  const querys = ref<T>(defaults) as Ref<T>; 

  onLoad((_querys) => {
    if (_querys) {
      for (const key in querys.value) {
        if (typeof defaults[key] === 'number')
          (querys.value as Record<string, any>)[key] = Number(_querys[key]); 
        else
          querys.value[key] = _querys[key];
      }
    }
    nextTick(() => {
      afterLoad?.(querys.value);
    });
  });

  return {
    querys,
  }
}